/*    filelistview.h
 *
 * Hively Player file list view
 *
 * Copyright 2007,2008 Petteri Kangaslampi
 *
 * See license.txt for full copyright and license information.
*/

#ifndef FILELISTVIEW_H
#define FILELISTVIEW_H

#include <aknview.h>
#include <eiklbo.h> 

// Forward declarations
class CAknSingleStyleListBox;

/**
 * Hively Player file list view.
 */
class CFileListView : public CAknView, public MEikListBoxObserver {

public:
    /** 
     * Factory method.
     *
     * @return A new CFileListView instance.
     */
    static CFileListView *NewL();

    /** 
     * Destructor.
     */
    ~CFileListView();

public: // From CAknView
    TUid Id() const;
    void HandleCommandL(TInt aCommand);
    void DoActivateL(const TVwsViewId &aPrevViewId, TUid aCustomMessageId,
                     const TDesC8 &aCustomMessage);
    void DoDeactivate();
    void HandleStatusPaneSizeChange();

public: // From MEikListBoxObserver
    void HandleListBoxEventL(CEikListBox *aListBox, TListBoxEvent aEventType);

private: // Constructors
    CFileListView();
    void ConstructL();

private: // Helper functions
    HBufC *FormatForListboxLC(const TDesC &aFileName);
    void AppendFileL(const TDesC &aFileName);
    void InitViewL();

private:
    CAknSingleStyleListBox *iListBox;
    CDesCArray *iFileArray; // file filenames
    CDesCArray *iFileListArray; // file names formatted for the listbox
    TInt iSelectedItem;
};


#endif
