/*    playbackview.h
 *
 * Hively Player playback view
 *
 * Copyright 2007,2008 Petteri Kangaslampi
 *
 * See license.txt for full copyright and license information.
*/

#ifndef PLAYBACKVIEW_H
#define PLAYBACKVIEW_H

#include <aknview.h>
#include <eiklbo.h>

class CPlaybackContainer;
class CAknNavigationControlContainer;
class CAknNavigationDecorator;
class CAknVolumeControl;


/**
 * Hively Player playback view.
 */
class CPlaybackView : public CAknView {

public:
    /** 
     * Factory method.
     *
     * @return A new CPlaybackView instance.
     */
    static CPlaybackView *NewL();

    /** 
     * Destructor.
     */
    ~CPlaybackView();

public: // From CAknView
    TUid Id() const;
    void HandleCommandL(TInt aCommand);
    void DoActivateL(const TVwsViewId &aPrevViewId, TUid aCustomMessageId,
                     const TDesC8 &aCustomMessage);
    void DoDeactivate();
    void HandleStatusPaneSizeChange();

private: // Constructors
    CPlaybackView();
    void ConstructL();

private:
    CPlaybackContainer *iContainer;
    CAknNavigationControlContainer *iNaviPane;
    CAknNavigationDecorator *iNaviDecorator;
    CAknVolumeControl *iVolumeControl;    
    TInt iVolume;
};


#endif
